curl --request POST \
--url https://mcp.echozero.app/api/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-ez-mcp-client: <x-ez-mcp-client>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"name": "My agent"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"ownerStake": {
"enabled": true,
"requiredUsd": 123,
"floorUsd": 123,
"currentUsd": 123,
"lockedUsd": 123,
"waived": true,
"ownerFunded": true,
"shortSince": "<string>",
"delistedAt": "<string>"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Agent
Create agent
Mirrors GraphQL createAgent.
Request body schema: McpCreateAgentBodyDto — see Schemas at the bottom of this document (#/components/schemas/McpCreateAgentBodyDto). Nested types: McpCreateAgentPersonalizationDto, McpCreateAgentFeeConfigurationDto. Same field shapes as GraphQL CreateAgentInput.
POST
/
api
/
v1
/
agents
curl --request POST \
--url https://mcp.echozero.app/api/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-ez-mcp-client: <x-ez-mcp-client>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"name": "My agent"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"ownerStake": {
"enabled": true,
"requiredUsd": 123,
"floorUsd": 123,
"currentUsd": 123,
"lockedUsd": 123,
"waived": true,
"ownerFunded": true,
"shortSince": "<string>",
"delistedAt": "<string>"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json
JSON body — OpenAPI schema McpCreateAgentBodyDto (also listed under Schemas). Pick an example below or compose from the schema; optional nested objects are personalization and **feeConfiguration**.